<template>
  <div>
    <q-icon
      name="la la-tint"
      size="12px"
    />
    <span style="padding-left: 2px">{{ precipitation }}</span>
  </div>
</template>

<script>
import { computed } from 'vue'
import { useGettext } from '@jshmrtn/vue3-gettext'

export default {
  name: 'WeatherPrecipitationText',
  props: {
    probability: {
      type: Number,
      default: null
    },
    intensity: {
      type: Number,
      default: null
    }
  },
  setup (props) {
    const { $gettext } = useGettext()

    const precipitation = computed(() => {
      const { intensity, probability } = props
      if (intensity !== null && intensity >= 0) {
        const roundedIntensity = Math.round(intensity)
        if (intensity > 0 && roundedIntensity < 1) {
          return `< 1 ${$gettext('mm')}`
        } else {
          return `${roundedIntensity} ${$gettext('mm')}`
        }
      }
      if (probability !== null && probability >= 0) {
        const roundedProbability = Math.round(probability * 100)
        if (probability > 0 && roundedProbability === 0) {
          return '< 1%'
        } else {
          return `${roundedProbability}%`
        }
      }
      return null
    })

    return { precipitation }
  }
}
</script>
